SetupOTP
POST
/auth/v1/users/current/totp/setupQuery Parameters
user_id?user_id
The user_id query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.SetupOTPResponse",
"$ref-value": {
"type": "object",
"properties": {
"secret": {
"type": "string",
"title": "secret"
},
"qr_code_url": {
"type": "string",
"title": "qr_code_url"
},
"backup_codes": {
"type": "array",
"items": {
"type": "string"
},
"title": "backup_codes"
}
},
"title": "SetupOTPResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/users/current/totp/setup"Success
application/json
{
"$ref": "#/components/schemas/auth.v1.SetupOTPResponse",
"$ref-value": {
"type": "object",
"properties": {
"secret": {
"type": "string",
"title": "secret"
},
"qr_code_url": {
"type": "string",
"title": "qr_code_url"
},
"backup_codes": {
"type": "array",
"items": {
"type": "string"
},
"title": "backup_codes"
}
},
"title": "SetupOTPResponse",
"additionalProperties": false
}
}